.markdown-body {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  color: #333;
  overflow: hidden;
  font-family: "Microsoft YaHei", Helvetica, "Meiryo UI", "Malgun Gothic", "Segoe UI", "Trebuchet MS", "Monaco", monospace, Tahoma, STXihei, "华文细黑", STHeiti, "Helvetica Neue", "Droid Sans", "wenquanyi micro hei", FreeSans, Arimo, Arial, SimSun, "宋体", Heiti, "黑体", sans-serif;
  font-size: 14px;
  line-height: 1.6;
  word-wrap: break-word;
}

.markdown-body a {
  background: transparent;
  color: #4183c4;
  text-decoration: none;
}

.markdown-body a:hover,
.markdown-body a:active {
  outline: 0;
  text-decoration: underline;
}

.markdown-body strong {
  font-weight: bold;
}

.markdown-body h1,
.markdown-body h2,
.markdown-body h3,
.markdown-body h4,
.markdown-body h5,
.markdown-body h6 {
  margin-top: 15px;
  margin-bottom: 15px;
  line-height: 1.1;
  position: relative;
  margin-top: 1em;
  margin-bottom: 16px;
  font-weight: bold;
  line-height: 1.4;
}

.markdown-body h1 {
  font-size: 30px;
  padding-bottom: 0.3em;
  border-bottom: 1px solid #eee;
}

.markdown-body h2 {
  font-size: 21px;
  padding-bottom: 0.3em;
  border-bottom: 1px solid #eee;
}

.markdown-body h3 {
  font-size: 16px;
}

.markdown-body h4 {
  font-size: 14px;
}

.markdown-body h5 {
  font-size: 12px;
}

.markdown-body h6 {
  font-size: 11px;
  color: #777;
}

.markdown-body img {
  border: 0;
  max-width: 100%;
  box-sizing: border-box;
}

.markdown-body hr {
  height: 0;
  margin: 15px 0;
  overflow: hidden;
  background: transparent;
  border: 0;
  border-bottom: 1px solid #ddd;
}

.markdown-body pre {
  overflow: auto;
  margin-top: 0;
  margin-bottom: 0;
  font: 12px Consolas, "Liberation Mono", Menlo, Courier, monospace;
}

.markdown-body code,
.markdown-body kbd,
.markdown-body pre {
  font-family: Consolas, "Liberation Mono", Menlo, Courier, monospace;
  font-size: 1em;
}

.markdown-body input {
  color: inherit;
  font: 13px/1.4 Helvetica, Arial, sans-serif;
  margin: 0;
  line-height: normal;
}

.markdown-body input[type="checkbox"] {
  box-sizing: border-box;
  padding: 0;
}

.markdown-body table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  overflow: auto;
  word-break: normal;
  word-break: keep-all;
}

.markdown-body td,
.markdown-body th {
  padding: 6px 13px;
  border: 1px solid #ddd;
}

.markdown-body tr:nth-child(2n) {
  background-color: #f8f8f8;
}

.markdown-body blockquote {
  margin: 0;
  padding: 0 15px;
  color: #777;
  border-left: 4px solid #ddd;
}

.markdown-body ul,
.markdown-body ol {
  padding-left: 2em;
  margin-top: 0;
  margin-bottom: 0;
}

.markdown-body li>p {
  margin-top: 16px;
}

.markdown-body dl {
  padding: 0;
}

.markdown-body dl dt {
  padding: 0;
  margin-top: 16px;
  font-size: 1em;
  font-style: italic;
  font-weight: bold;
}

.markdown-body dl dd {
  padding: 0 16px;
  margin-bottom: 16px;
}

.markdown-body * {
  box-sizing: border-box;
}

.markdown-body>*:first-child {
  margin-top: 0 !important;
}

.markdown-body>*:last-child {
  margin-bottom: 0 !important;
}

.markdown-body .anchor {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  padding-right: 6px;
  padding-left: 30px;
  margin-left: -30px;
}

.markdown-body h1:hover .anchor,
.markdown-body h2:hover .anchor,
.markdown-body h3:hover .anchor,
.markdown-body h4:hover .anchor,
.markdown-body h5:hover .anchor,
.markdown-body h6:hover .anchor {
  padding-left: 8px;
  margin-left: -30px;
  text-decoration: none;
}

.markdown-body h1:hover .anchor .octicon-link,
.markdown-body h2:hover .anchor .octicon-link,
.markdown-body h3:hover .anchor .octicon-link,
.markdown-body h4:hover .anchor .octicon-link,
.markdown-body h5:hover .anchor .octicon-link,
.markdown-body h6:hover .anchor .octicon-link {
  display: inline-block;
}

.markdown-body h1 .anchor,
.markdown-body h2 .anchor,
.markdown-body h3 .anchor,
.markdown-body h4 .anchor,
.markdown-body h5 .anchor,
.markdown-body h6 .anchor {
  line-height: 1;
}

.markdown-body p,
.markdown-body blockquote,
.markdown-body ul,
.markdown-body ol,
.markdown-body dl,
.markdown-body table,
.markdown-body pre {
  margin-top: 0;
  margin-bottom: 16px;
}

.markdown-body kbd {
  display: inline-block;
  padding: 3px 5px;
  font-size: 11px;
  line-height: 10px;
  color: #555;
  vertical-align: middle;
  background-color: #fcfcfc;
  border: solid 1px #ccc;
  border-bottom-color: #bbb;
  border-radius: 3px;
  box-shadow: inset 0 -1px 0 #bbb;
}

.markdown-body .task-list-item {
  list-style-type: none;
}

.markdown-body .task-list-item+.task-list-item {
  margin-top: 3px;
}

.markdown-body .task-list-item input {
  float: left;
  margin: 0.3em 0 0.25em -1.6em;
  vertical-align: middle;
}

.markdown-body :checked+.radio-label {
  z-index: 1;
  position: relative;
  border-color: #4183c4;
}

.markdown-body .editormd-toc-menu ul {
  padding-left: 0;
}

/*
代码部分css 开始
*/
.markdown-body code {
  padding: 0.2em;
  font-size: 85%;
  background-color: rgba(0, 0, 0, 0.04);
  border-radius: 3px;
}

.markdown-body pre>code {
  padding: 0;
  margin: 0;
  font-size: 100%;
  word-break: normal;
  white-space: pre;
  background: transparent;
  border: 0;
}

.markdown-body .highlight pre,
.markdown-body pre {
  padding: 0px;
  overflow: auto;
  font-size: 85%;
  line-height: 1.45;
  background-color: #f7f7f7;
  border-radius: 3px;
}

.markdown-body pre code {
  display: inline;
  max-width: initial;
  padding: 0;
  margin: 0;
  overflow: initial;
  line-height: inherit;
  word-wrap: normal;
  background-color: transparent;
  border: 0;
}

.markdown-body .highlight pre,
.markdown-body pre {
  line-height: 1.6;
}

.markdown-body pre code.hljs {
  display: block;
  overflow-x: auto;
}

.markdown-body .hljs {
  background: #f3f3f3;
  color: #444;
}

.markdown-body .hljs-comment {
  color: #697070;
}

.markdown-body .hljs-punctuation,
.markdown-body .hljs-tag {
  color: #444a;
}

.markdown-body .hljs-tag .hljs-attr,
.markdown-body .hljs-tag .hljs-name {
  color: #444;
}

.markdown-body .hljs-attribute,
.markdown-body .hljs-doctag,
.markdown-body .hljs-keyword,
.markdown-body .hljs-meta .hljs-keyword,
.markdown-body .hljs-name,
.markdown-body .hljs-selector-tag {
  font-weight: 700;
}

.markdown-body .hljs-deletion,
.markdown-body .hljs-number,
.markdown-body .hljs-quote,
.markdown-body .hljs-selector-class,
.markdown-body .hljs-selector-id,
.markdown-body .hljs-string,
.markdown-body .hljs-template-tag,
.markdown-body .hljs-type {
  color: #800;
}

.markdown-body .hljs-section,
.markdown-body .hljs-title {
  color: #800;
  font-weight: 700;
}

.markdown-body .hljs-link,
.markdown-body .hljs-operator,
.markdown-body .hljs-regexp,
.markdown-body .hljs-selector-attr,
.markdown-body .hljs-selector-pseudo,
.markdown-body .hljs-symbol,
.markdown-body .hljs-template-variable,
.markdown-body .hljs-variable {
  color: #ab5656;
}

.markdown-body .hljs-literal {
  color: #695;
}

.markdown-body .hljs-addition,
.markdown-body .hljs-built_in,
.markdown-body .hljs-bullet,
.markdown-body .hljs-code {
  color: #397300;
}

.markdown-body .hljs-meta {
  color: #1f7199;
}

.markdown-body .hljs-meta .hljs-string {
  color: #38a;
}

.markdown-body .hljs-emphasis {
  font-style: italic;
}

.markdown-body .hljs-strong {
  font-weight: 700;
}

.markdown-body pre code {
  padding: 0px;
  border: 1px solid #ddd;
  border-radius: 4px;
}

.markdown-body pre code table {
  display: block;
  width: 100%;
  overflow: auto;
  word-break: normal;
  margin: 0;
}

.markdown-body pre code table tr:nth-child(2n) {
  background-color: #eeebeb;
}

.markdown-body .hljs-ln-numbers {
  text-align: right;
  border-top: none;
  border-bottom: none;
  border-left: none;
  padding: 2px 12px;
  background-color: #eeebeb;
  box-sizing: border-box;
}

.markdown-body pre code table td.hljs-ln-code {
  width: 100%;
  border: none;
  padding: 2px 8px;
  /* 代码块换行 */
  word-wrap: break-word;
  white-space: pre-wrap;
  word-break: break-all;
}

.markdown-body pre code table tr {
  background-color: #faf9f9;
  border-top: 0px solid #f8f8f8;
}

.markdown-body pre .code-title {
  margin: 0;
  padding: 3px 15px;
  background: #c9c9c9;
  color: #000000;
}

.markdown-body pre .copy-button {
  position: absolute;
  right: 0px;
  top: 0px;
  padding: 3px 10px;
  background: rgb(127 127 127);
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background 0.3s;
  font-size: 12px;
}

.markdown-body pre .copy-button:hover {
  background: rgb(0, 0, 0);
}

/*
代码部分css 结束
*/